### Method

# Camel NetworkSettings set_host

since: 3.4

#### Declaration [src]

    void
    camel_network_settings_set_host (
      CamelNetworkSettings* settings,
      const gchar* host
    )

#### Description [src]

Sets the host name used to authenticate to a network service. The `CamelNetworkSettings:host` property is automatically stripped of leading and trailing whitespace.

Available since: 3.4

Sets property | `Camel.NetworkSettings:host`

#### Parameters

`host`

  Type: `const gchar*`

  A host name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.